Package org.opensaml.saml.saml2.binding.impl

# Class ExtractProxiedRequestersHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.saml2.binding.impl.ExtractProxiedRequestersHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class ExtractProxiedRequestersHandler extends AbstractMessageHandler
MessageHandler to extract the proxied chain of requesters from an `AuthnRequest` message's `Scoping` element.

Since:
  3.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,ProxiedRequesterContext>`
`proxiedContextCreationStrategy`
Strategy for creating `ProxiedRequesterContext`.

## Constructor Summary

Constructors
Constructor
Description
`ExtractProxiedRequestersHandler()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
`setProxiedRequesterContextCreationStrategy(Function<MessageContext,ProxiedRequesterContext> strategy)`
Set the strategy for creating `ProxiedRequesterContext`.

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### proxiedContextCreationStrategy

@Nonnull private Function<MessageContext,ProxiedRequesterContext> proxiedContextCreationStrategy
Strategy for creating `ProxiedRequesterContext`.

## Constructor Details

### ExtractProxiedRequestersHandler

public ExtractProxiedRequestersHandler()
Constructor.

## Method Details

### setProxiedRequesterContextCreationStrategy

public void setProxiedRequesterContextCreationStrategy(@Nonnull Function<MessageContext,ProxiedRequesterContext> strategy)
Set the strategy for creating `ProxiedRequesterContext`.

Parameters:
  `strategy` - lookup strategy

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if there is an error invoking the handler on the message context